[arch-commits] Commit in qemu/repos (5 files)

Anatol Pomozov anatolik at archlinux.org
Fri Aug 16 00:08:34 UTC 2019


    Date: Friday, August 16, 2019 @ 00:08:34
  Author: anatolik
Revision: 359857

archrelease: copy trunk to testing-x86_64

Added:
  qemu/repos/testing-x86_64/
  qemu/repos/testing-x86_64/65-kvm.rules
    (from rev 359856, qemu/trunk/65-kvm.rules)
  qemu/repos/testing-x86_64/PKGBUILD
    (from rev 359856, qemu/trunk/PKGBUILD)
  qemu/repos/testing-x86_64/qemu-ga.service
    (from rev 359856, qemu/trunk/qemu-ga.service)
  qemu/repos/testing-x86_64/qemu.install
    (from rev 359856, qemu/trunk/qemu.install)

-----------------+
 65-kvm.rules    |    1 
 PKGBUILD        |  217 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 qemu-ga.service |    9 ++
 qemu.install    |    8 +
 4 files changed, 235 insertions(+)

Copied: qemu/repos/testing-x86_64/65-kvm.rules (from rev 359856, qemu/trunk/65-kvm.rules)
===================================================================
--- testing-x86_64/65-kvm.rules	                        (rev 0)
+++ testing-x86_64/65-kvm.rules	2019-08-16 00:08:34 UTC (rev 359857)
@@ -0,0 +1 @@
+KERNEL=="vhost-net", GROUP="kvm", MODE="0660", TAG+="uaccess", OPTIONS+="static_node=vhost-net"

Copied: qemu/repos/testing-x86_64/PKGBUILD (from rev 359856, qemu/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-08-16 00:08:34 UTC (rev 359857)
@@ -0,0 +1,217 @@
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Sébastien "Seblu" Luttringer <seblu at seblu.net>
+
+pkgbase=qemu
+pkgname=(qemu qemu-headless qemu-arch-extra qemu-headless-arch-extra
+         qemu-block-{iscsi,rbd,gluster} qemu-guest-agent)
+pkgdesc="A generic and open source machine emulator and virtualizer"
+pkgver=4.1.0
+pkgrel=1
+arch=(x86_64)
+license=(GPL2 LGPL2.1)
+url="https://wiki.qemu.org/"
+_headlessdeps=(seabios gnutls libpng libaio numactl jemalloc xfsprogs libnfs
+               lzo snappy curl vde2 libcap-ng spice libcacard usbredir)
+depends=(virglrenderer sdl2 vte3 libpulse "${_headlessdeps[@]}")
+makedepends=(spice-protocol python2 ceph libiscsi glusterfs python-sphinx)
+source=(https://download.qemu.org/qemu-$pkgver.tar.xz{,.sig}
+        qemu-ga.service
+        65-kvm.rules)
+sha512sums=('82fd51702a7b9b1b00b2f1bd3b4a832b80249018dbba1add0b0a73e7d4bee452afd45574b4d8df7ce4477d8711f3bda4ca072a1a6de25895c93eb21cf78fc4b2'
+            'SKIP'
+            '269c0f0bacbd06a3d817fde02dce26c99d9f55c9e3b74bb710bd7e5cdde7a66b904d2eb794c8a605bf9305e4e3dee261a6e7d4ec9d9134144754914039f176e4'
+            'bdf05f99407491e27a03aaf845b7cc8acfa2e0e59968236f10ffc905e5e3d5e8569df496fd71c887da2b5b8d1902494520c7da2d3a8258f7fd93a881dd610c99')
+validpgpkeys=('CEACC9E15534EBABB82D3FA03353C9CEF108B584')
+
+case $CARCH in
+  i?86) _corearch=i386 ;;
+  x86_64) _corearch=x86_64 ;;
+esac
+
+prepare() {
+  mkdir build-{full,headless}
+  mkdir -p extra-arch-{full,headless}/usr/{bin,share/qemu}
+
+  cd ${pkgname}-${pkgver}
+  #sed -i 's/vte-2\.90/vte-2.91/g' configure
+}
+
+build() {
+  _build full \
+    --audio-drv-list="pa alsa sdl"
+
+  _build headless \
+    --audio-drv-list= \
+    --disable-bluez \
+    --disable-sdl \
+    --disable-gtk \
+    --disable-vte \
+    --disable-opengl \
+    --disable-virglrenderer
+}
+
+_build() (
+  cd build-$1
+
+  # qemu vs. make 4 == bad
+  export ARFLAGS=rv
+
+  # http://permalink.gmane.org/gmane.comp.emulators.qemu/238740
+  export CFLAGS+=" -fPIC"
+
+  ../${pkgname}-${pkgver}/configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib/qemu \
+    --python=/usr/bin/python2 \
+    --smbd=/usr/bin/smbd \
+    --enable-modules \
+    --enable-sdl \
+    --enable-jemalloc \
+    "${@:2}"
+
+  make
+)
+
+package_qemu() {
+  optdepends=('qemu-arch-extra: extra architectures support')
+  provides=(qemu-headless)
+  conflicts=(qemu-headless)
+  replaces=(qemu-kvm)
+
+  _package full
+}
+
+package_qemu-headless() {
+  pkgdesc="QEMU without GUI"
+  depends=("${_headlessdeps[@]}")
+  optdepends=('qemu-headless-arch-extra: extra architectures support')
+
+  _package headless
+}
+
+_package() {
+  optdepends+=('samba: SMB/CIFS server support'
+               'qemu-block-iscsi: iSCSI block support'
+               'qemu-block-rbd: RBD block support'
+               'qemu-block-gluster: glusterfs block support')
+  install=qemu.install
+  options=(!strip)
+
+  make -C build-$1 DESTDIR="$pkgdir" install "${@:2}"
+
+  # systemd stuff
+  install -Dm644 65-kvm.rules "$pkgdir/usr/lib/udev/rules.d/65-kvm.rules"
+
+  # remove conflicting /var/run directory
+  cd "$pkgdir"
+  rm -r var
+
+  cd usr/lib
+  tidy_strip
+
+  # bridge_helper needs suid
+  # https://bugs.archlinux.org/task/32565
+  chmod u+s qemu/qemu-bridge-helper
+
+  # remove split block modules
+  rm qemu/block-{iscsi,rbd,gluster}.so
+
+  cd ../bin
+  tidy_strip
+
+  # remove extra arch
+  for _bin in qemu-*; do
+    [[ -f $_bin ]] || continue
+
+    case ${_bin#qemu-} in
+      # guest agent
+      ga) rm "$_bin"; continue ;;
+
+      # tools
+      img|io|nbd) continue ;;
+
+      # core emu
+      system-${_corearch}) continue ;;
+    esac
+
+    mv "$_bin" "$srcdir/extra-arch-$1/usr/bin"
+  done
+
+  cd ../share/qemu
+  for _blob in *; do
+    [[ -f $_blob ]] || continue
+
+    case $_blob in
+      # provided by seabios package
+      bios.bin|acpi-dsdt.aml|bios-256k.bin|vgabios-cirrus.bin|vgabios-qxl.bin|\
+      vgabios-stdvga.bin|vgabios-vmware.bin|vgabios-virtio.bin|vgabios-bochs-display.bin|\
+      vgabios-ramfb.bin) rm "$_blob"; continue ;;
+
+      # iPXE ROMs
+      efi-*|pxe-*) continue ;;
+
+      # core blobs
+      kvmvapic.bin|linuxboot*|multiboot.bin|sgabios.bin|vgabios*) continue ;;
+
+      # Trace events definitions
+      trace-events*) continue ;;
+
+      # Logos
+      *.bmp|*.svg) continue ;;
+    esac
+
+    mv "$_blob" "$srcdir/extra-arch-$1/usr/share/qemu"
+  done
+}
+
+package_qemu-arch-extra() {
+  pkgdesc="QEMU for foreign architectures"
+  depends=(qemu)
+  provides=(qemu-headless-arch-extra)
+  conflicts=(qemu-headless-arch-extra)
+  options=(!strip)
+
+  mv extra-arch-full/usr "$pkgdir"
+}
+
+package_qemu-headless-arch-extra() {
+  pkgdesc="QEMU without GUI, for foreign architectures"
+  depends=(qemu-headless)
+  options=(!strip)
+
+  mv extra-arch-headless/usr "$pkgdir"
+}
+
+package_qemu-block-iscsi() {
+  pkgdesc="QEMU iSCSI block module"
+  depends=(glib2 libiscsi jemalloc)
+
+  install -D build-full/block-iscsi.so "$pkgdir/usr/lib/qemu/block-iscsi.so"
+}
+
+package_qemu-block-rbd() {
+  pkgdesc="QEMU RBD block module"
+  depends=(glib2 ceph)
+
+  install -D build-full/block-rbd.so "$pkgdir/usr/lib/qemu/block-rbd.so"
+}
+
+package_qemu-block-gluster() {
+  pkgdesc="QEMU GlusterFS block module"
+  depends=(glib2 glusterfs)
+
+  install -D build-full/block-gluster.so "$pkgdir/usr/lib/qemu/block-gluster.so"
+}
+
+package_qemu-guest-agent() {
+  pkgdesc="QEMU Guest Agent"
+  depends=(gcc-libs glib2)
+
+  install -D build-full/qemu-ga "$pkgdir/usr/bin/qemu-ga"
+  install -Dm644 qemu-ga.service "$pkgdir/usr/lib/systemd/system/qemu-ga.service"
+  install -Dm755 "$srcdir/qemu-$pkgver/scripts/qemu-guest-agent/fsfreeze-hook" "$pkgdir/etc/qemu/fsfreeze-hook"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: qemu/repos/testing-x86_64/qemu-ga.service (from rev 359856, qemu/trunk/qemu-ga.service)
===================================================================
--- testing-x86_64/qemu-ga.service	                        (rev 0)
+++ testing-x86_64/qemu-ga.service	2019-08-16 00:08:34 UTC (rev 359857)
@@ -0,0 +1,9 @@
+[Unit]
+Description=QEMU Guest Agent
+ConditionPathExists=/dev/virtio-ports/org.qemu.guest_agent.0
+
+[Service]
+ExecStart=/usr/bin/qemu-ga
+
+[Install]
+WantedBy=multi-user.target

Copied: qemu/repos/testing-x86_64/qemu.install (from rev 359856, qemu/trunk/qemu.install)
===================================================================
--- testing-x86_64/qemu.install	                        (rev 0)
+++ testing-x86_64/qemu.install	2019-08-16 00:08:34 UTC (rev 359857)
@@ -0,0 +1,8 @@
+# Arg 1:  the new package version
+post_install() {
+  # trigger events on modules files when already loaded
+  for _f in /sys/devices/virtual/misc/vhost-net; do
+    [[ -e "$_f" ]] &&  udevadm trigger "$_f"
+  done
+  :
+}


More information about the arch-commits mailing list